Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007507 [DCSS] Bug Report minor always 2013-08-23 22:24 2013-10-22 22:33
Reporter CommanderC View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007507: Shadow creatures sometimes summons a number of monsters above its cap
Description I have seen this when it summons an ogre mage with his band or a pack of ugly things. When it happens, the whole pack is immediately abjured.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023954)
drywall (reporter)
2013-09-01 01:50

This behavior often causes pre-existing Shadow Creatures summons to time out as well, meaning with one cast you can lose both all of your existing summons and the newly generated ones. It would be nice if the spell didn't spawn bands anymore or at least checked each summon one at a time, leaving partial bands behind.
(0023978)
Duralumin (reporter)
2013-09-05 21:37

Or just rise summoning cap for Shadow Creatures to fit in any pack. And if you recast it after hitting a cap, then only part of the pack should get abjured.
(0024232)
MarvinPA (developer)
2013-10-22 22:33

Fixed by making band members not count towards the summon cap (and reducing the spell's cap slightly). Maybe there's a better way to handle it but this seems better than it just not functioning as a summon spell some of the time.

- Issue History
Date Modified Username Field Change
2013-08-23 22:24 CommanderC New Issue
2013-09-01 01:50 drywall Note Added: 0023954
2013-09-05 21:37 Duralumin Note Added: 0023978
2013-09-05 21:38 Duralumin Issue Monitored: Duralumin
2013-10-22 22:33 MarvinPA Note Added: 0024232
2013-10-22 22:33 MarvinPA Status new => resolved
2013-10-22 22:33 MarvinPA Fixed in Branch => 0.14 development branch
2013-10-22 22:33 MarvinPA Resolution open => done
2013-10-22 22:33 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker